var dataObj={
	ofcode:'',/*基金代码*/
	ofname:'',/*基金名称*/
	tacode:'',/*基金公司代码*/
	durYears:'3',/*定投年限 1->1年 2->2年.....*/
	durTimeline:'1',/*定投周期,1每周周三  2每月1日*/
	fundList:[''],/*热门基金列表*/
	dtAmt:'1000',
	showerrortips:false, /*是否显示输入金额错误提示*/
	inputerrortips:'', /*输入金额错误提示信息*/
	getLocalValueTimer:null/**/

};
var appvue = new Vue({
	el:'#app',
	data:dataObj,
	created : function(){
		var self = this;
	},
	methods:{
		/*点击选择基金*/
		opensearchfund:function(){
			Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/fund_search.html',"weburl":Com.getOrigin()+'/asset/mfdt/pages/fund_search.html'});
		},
		/*马上计算*/
		cacuhandle:function(){
			exports.matchval(function(){
				exports.cacuHandle();
			});

			try
			{
				TalkingData.onEventWithLabel("理财",'定投专区-定投计算器首页-马上计算');
			}
			catch(err) {}
		},
		//选择热门定投基金
		chooseHotfund:function(obj){
			dataObj.ofcode = obj.ofcode;
			dataObj.ofname =  obj.ofname;
			dataObj.tacode =  obj.tacode;
			Com.setLocalValue('zh_cacu_ofcode', obj.ofcode);
			Com.setLocalValue('zh_cacu_ofname', obj.ofname);
			Com.setLocalValue('zh_cacu_tacode', obj.tacode);
			$(window).scrollTop(0);
		},
		/*年时间选择*/
		chooseYears:function(yearstr){
			dataObj.durYears = yearstr;
		},
		/*选择每月1日或者每周周三*/
		chooseTimes:function(durTimeline){
			dataObj.durTimeline = durTimeline;
		},
		dtamtHandle:function(){
			console.log(dataObj.dtAmt)
		}
	},
	filters:{

	}
});
var exports = {
	init:function(){
		exports.getTradeFundList();
		var _ofcode = Com.getQueryStringByName('ofcode');
		if(_ofcode!=''){
			exports.queryFundInfo(_ofcode);
		}
		//返回刷新
		Com.gobackRefreshPage(true,function(){
			exports.getLocalFund();

			exports.matchval();
		});

		//设置标题
		Com.setWebviewTitle('',{"title":'定投计算器',"bgColor":""});
	},
	matchval : function(cb){
		var reg = /^\d+(\.\d{1,2})?$/;/*不超过两位小数的金额*/
		if(dataObj.ofcode==''||dataObj.ofname==''){
			dataObj.showerrortips = true;
			dataObj.inputerrortips = '请选择基金';
			return;
		}
		if(!Com.isNumber(dataObj.dtAmt)){
			dataObj.showerrortips = true;
			dataObj.inputerrortips = '请输入正确的定投金额';
			return;
		}
		if(!reg.test(dataObj.dtAmt)){
			dataObj.showerrortips = true;
			dataObj.inputerrortips = '请输入不超过两位小数的定投金额数';
			return;
		}
		if(dataObj.dtAmt*1>999999){
			dataObj.showerrortips = true;
			dataObj.inputerrortips = '计算器的定投金额最多可设999999';
			return;
		}
		dataObj.showerrortips = false;
		dataObj.inputerrortips = '';
		cb && cb();
	},
	/*基金搜索界面搜索出来的基金会存到本地(这里要注意下，有个坑，ios13以后的系统，返回到这个页面刷新执行以下代码时，会存在取不到上个基金搜索界面选择的基金信息，这里需要加个定时器延时取解决)*/
	getLocalFund : function (){
		if(dataObj.getLocalValueTimer){
			clearTimeout();
		}
		dataObj.getLocalValueTimer = setTimeout(function(){
			var zh_cacu_ofcode=Com.getLocalValue('zh_cacu_ofcode');
			var zh_cacu_ofname=Com.getLocalValue('zh_cacu_ofname');
			var zh_cacu_tacode=Com.getLocalValue('zh_cacu_tacode');
			if(zh_cacu_ofcode!='null'){
				dataObj.ofcode = zh_cacu_ofcode;
			}
			if(zh_cacu_ofname!='null'){
				dataObj.ofname = zh_cacu_ofname;
			}
			if(zh_cacu_tacode!='null'){
				dataObj.tacode = zh_cacu_tacode;
			}
		},100);
	},
	/*点击马上计算跳转到计算结果页*/
	cacuHandle:function(){
		var zh_dt_cacu_obj={"ofname":dataObj.ofname,"ofcode":dataObj.ofcode,"dtamt":dataObj.dtAmt,"dttime":dataObj.durYears,"dtdurtimes":dataObj.durTimeline,"tacode":dataObj.tacode};
		Com.setLocalValue('zh_dt_cacu_obj',JSON.stringify(zh_dt_cacu_obj));
		Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/dt_caculate_result.html',"weburl":Com.getOrigin()+'/asset/mfdt/pages/dt_caculate_result.html'});
	},
	/*获取热门定投基金*/
	getTradeFundList : function(){
		var param={};
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/ofschedule/getAipZoneList/1.0',
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				if (d != null && d.result[0].code == 0) {
					dataObj.fundList = d.data;

				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
				}
			},
			"isTradeLogin":false,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力|getRecOfcodeList',['确定'],'')
			}
		});
	},
	/*如果计算器页面携带了ofcode查该基金并填入*/
	queryFundInfo : function(ofcode){
		if(!ofcode) return;
		var param={};
		param['ofcodes'] = ofcode;
		Com.ajaxLoading();
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/fundinfo/getfundinfolist/1.0',
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				Com.ajaxLoaded();
				if (d != null && d.result[0].code == 0) {
					if(d.data.length>0){
						if(d.data[0].ofcode){
							dataObj.ofcode = d.data[0].ofcode;
							Com.setLocalValue('zh_cacu_ofcode', d.data[0].ofcode);
						}
						if(d.data[0].secuabbr){
							dataObj.ofname = d.data[0].secuabbr;
							Com.setLocalValue('zh_cacu_ofname', d.data[0].secuabbr);
						}
						if(d.data[0].tacode){
							dataObj.tacode = d.data[0].tacode;
							Com.setLocalValue('zh_cacu_tacode', d.data[0].tacode);
						}
					}

				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
				}
			},
			"isTradeLogin":false,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力|getfundinfolist',['确定'],'')
			}
		});
	}
};

exports.init();
